> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Checkout Session

This request retrieves a checkout session using its unique identifier.


## OpenAPI

````yaml openapi/checkout-sessions/retrieve-checkout-session.json GET /checkout/sessions/{id}
openapi: 3.1.0
info:
  title: checkout-api
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /checkout/sessions/{id}:
    get:
      summary: Retrieve Checkout Session
      operationId: get-checkout-session
      parameters:
        - name: id
          in: path
          description: The unique identifier of the checkout session (UUID, 36 chars).
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 02caeb08-45c0-4670-9736-5bdee1b311f8
                    merchant_order_id: '1752072398'
                    country: AR
                    payment_description: Test Cards
                    customer_id: e937e18e-a684-4d7b-a1a1-ab64c10a941d
                    callback_url: >-
                      https://google.com/?checkoutSession=02caeb08-45c0-4670-9736-5bdee1b311f8
                    amount:
                      currency: ARS
                      value: 520
                    created_at: '2025-07-09T14:46:39.515251Z'
                    metadata: null
                    workflow: SDK_CHECKOUT
                    installments:
                      plan_id: null
                      plan: null
                    used: true
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: >-
                      The unique identifier of the checkout session (MAX 64; MIN
                      36).
                    example: 02caeb08-45c0-4670-9736-5bdee1b311f8
                  merchant_order_id:
                    type: string
                    description: >-
                      The unique identifier of the customer's order (MAX 255;
                      MIN 3).
                    example: '1752072398'
                  country:
                    type: string
                    description: >-
                      Country where the transaction must be processed (MAX 2;
                      MIN 2; ISO 3166-1).
                    example: AR
                  payment_description:
                    type: string
                    description: The description of the payment (MAX 255; MIN 3).
                    example: Test Cards
                  customer_id:
                    type: string
                    description: The unique identifier of the customer (MAX 64; MIN 36).
                    example: e937e18e-a684-4d7b-a1a1-ab64c10a941d
                  callback_url:
                    type: string
                    description: >-
                      The URL where to redirect the customer after the payment
                      (MAX 526; MIN 3).
                    example: >-
                      https://google.com/?checkoutSession=02caeb08-45c0-4670-9736-5bdee1b311f8
                  amount:
                    type: object
                    description: >-
                      Specifies the payment amount object, with the value and
                      currency.
                    properties:
                      currency:
                        type: string
                        description: >-
                          The currency used to make the payment (MAX 3; MIN 3;
                          ISO 4217).
                        example: ARS
                      value:
                        type: number
                        description: The payment amount (multiple of 0.0001).
                        example: 520
                  created_at:
                    type: string
                    description: >-
                      Checkout Session creation date and time (MAX 27; MIN 27;
                      ISO 8601).
                    example: '2025-07-09T14:46:39.515251Z'
                  metadata:
                    type: array
                    description: >-
                      Specifies a list of metadata objects. You can add up to 50
                      metadata objects.
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                          description: Specifies one metadata key.
                          example: age
                        value:
                          type: string
                          description: Specifies the value for the defined metadata key.
                          example: '28'
                    nullable: true
                  workflow:
                    type: string
                    description: >-
                      The payment workflow type that specifies how the checkout
                      session will be processed.
                    example: SDK_CHECKOUT
                  installments:
                    type: object
                    description: >-
                      The object to send the installment plan created in Yuno to
                      show your customers and let them choose from.
                    properties:
                      plan_id:
                        type: string
                        description: >-
                          Specifies a plan id created in Yuno to show your
                          customer in the checkout session (MAX 64; MIN 64).
                        nullable: true
                      plan:
                        type: array
                        description: >-
                          Installments to show the customer with the checkout
                          session.
                        items:
                          type: object
                          properties:
                            installment:
                              type: integer
                              description: >-
                                The number of monthly installments shoppers can
                                choose.
                              example: 3
                            rate:
                              type: number
                              description: >-
                                The rate that will be applied to the final
                                amount of the transaction by the payment
                                provider after using installments.
                              example: 1.5
                        nullable: true
                  used:
                    type: boolean
                    description: >-
                      Specifies whether a checkout session was used previously
                      or not.
                    example: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: INVALID_REQUEST
                    messages:
                      - Invalid request
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_REQUEST
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid request
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Unauthorized:
                  value:
                    code: INVALID_CREDENTIALS
                    messages:
                      - Invalid credentials
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: INVALID_CREDENTIALS
                  messages:
                    type: array
                    items:
                      type: string
                      example: Invalid credentials
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Forbidden:
                  value:
                    code: AUTHORIZATION_REQUIRED
                    messages:
                      - The merchant has no authorization to use this API.
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: AUTHORIZATION_REQUIRED
                  messages:
                    type: array
                    items:
                      type: string
                      example: The merchant has no authorization to use this API.
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: public-api-key
      x-default: <Your public-api-key>
    sec1:
      type: apiKey
      in: header
      name: private-secret-key
      x-default: <Your private-secret-key>

````